RLOGIN(1C)

NAME
rlogin - remote login

SYNOPSIS
rlogin [ -L ] [ -8 ] [ -ec ] [ -l username ]
hostname

AVAILABILITY

This command is available with the Networking software installation option. Refer to for information on how to install optional software.

DESCRIPTION

rlogin establishes a remote login session from your terminal to the remote machine named hostname.

Hostnames are listed in the hosts database, which may be contained in the /etc/hosts file, the Network Information Service (NIS) hosts database, the Internet domain name server, or a combination of these. Each host has one official name (the first name in the database entry), and optionally one or more nicknames. Either official hostnames or nicknames may be specified in hostname.

Each remote machine may have a file named /etc/hosts.equiv containing a list of trusted hostnames with which it shares usernames. Users with the same username on both the local and remote machine may rlogin from the machines listed in the remote machine's /etc/hosts.equiv file without supplying a password. Individual users may set up a similar private equivalence list with the file .rhosts in their home directories. Each line in this file contains two names: a hostname and a username separated by a SPACE. An entry in a remote user's .rhosts file permits the user named username who is logged into hostname to rlogin to the remote machine as the remote user without supplying a password. If the name of the local host is not found in the /etc/hosts.equiv file on the remote machine, and the local username and hostname are not found in the remote user's .rhosts file, then the remote machine will prompt for a password. Hostnames listed in /etc/hosts.equiv and .rhosts files must be the official hostnames listed in the hosts database; nicknames may not be used in either of these files.

To counter security problems, the .rhosts file must be owned by either the remote user or by root.

The remote terminal type is the same as your local terminal type (as given in your environment TERM variable). The terminal or window size is also copied to the remote system if the server supports the option, and changes in size are reflected as well. All echoing takes place at the remote site, so that (except for delays) the remote login is transparent. Flow control using ^S (CTRL-S) and ^Q (CTRL-Q) and flushing of input and output on interrupts are handled properly.

ESCAPES

Lines that you type which start with the tilde character are “escape sequences” (the escape character can be changed using the -e options):

~.  Disconnect from the remote host — this is not the same as a logout, because the local host breaks the connection with no warning to the remote end.

~susp
    Suspend the login session (only if you are using the C shell). susp is your “suspend” character, usually ^Z, (CTRL-Z), see tty(1).

~dsusp
    Suspend the input half of the login, but output will still be seen (only if you are using the C shell). dsusp is your “deferred suspend” character, usually ^Y, (CTRL-Y), see tty(1).

OPTIONS

-L  Allow the rlogin session to be run in “litout” mode.

-8  Pass eight-bit data across the net instead of seven-bit data.

-ec Specify a different escape character, c, for the line used to disconnect from the remote host.

-l username
    Specify a different username for the remote login. If you do not use this option, the remote username used is the same as your local username.

FILES
/usr/hosts/*
    for the hostname version of the command
/etc/hosts.equiv
    list of trusted hostnames with shared usernames
~/.rhosts
    private list of trusted hostname/username combinations

SEE ALSO
rsh(1C), stty(1V), tty(1), ypcat(1), hosts(5), named(8C)

BUGS
This implementation can only use the TCP network service.
More of the environment should be propagated.

NOTES
The Network Information Service (NIS) was formerly known as Sun Yellow Pages (YP). The functionality of the two remains the same; only the name has changed.